import request from '@/utils/request'

// 查询集合里数据列表
export function listFastGptCollentionData(query) {
  return request({
    url: '/fastGpt/fastGptCollentionData/list',
    method: 'get',
    params: query
  })
}

// 查询集合里数据详细
export function getFastGptCollentionData(id) {
  return request({
    url: '/fastGpt/fastGptCollentionData/' + id,
    method: 'get'
  })
}

// 新增集合里数据
export function addFastGptCollentionData(data) {
  return request({
    url: '/fastGpt/fastGptCollentionData',
    method: 'post',
    data: data
  })
}

// 修改集合里数据
export function updateFastGptCollentionData(data) {
  return request({
    url: '/fastGpt/fastGptCollentionData',
    method: 'put',
    data: data
  })
}

// 删除集合里数据
export function delFastGptCollentionData(id) {
  return request({
    url: '/fastGpt/fastGptCollentionData/' + id,
    method: 'delete'
  })
}

// 导出集合里数据
export function exportFastGptCollentionData(query) {
  return request({
    url: '/fastGpt/fastGptCollentionData/export',
    method: 'get',
    params: query
  })
}

// 同步集合内的数据
export function SyncCollentionData(collectionid) {
  return request({
    url: '/fastGpt/fastGptCollentionData/SyncCollentionData/'+collectionid,
    method: 'get',
  })
}
